4周前 (11-11) 铁匠  Linux安全运维
文章评分 0 次,平均分 0.0

Linux必备命令行操作:vi|vim编辑器的配置

Linux企业软件管理及配置(为什么需要部署软件或者服务)

Linux系统本身,学会了系统安装、学会了基础的命令行操作;

学会了网卡、IP的配置方法,远程工具远程服务器;

学习软件安装,软件为王,学习Linux系统中的软件或者服务;

软件可以实现各种功能,满足企业的各种需求;

Linux系统软件的安装、卸载、配置、维护以及如何构建企业本地YUM光盘源及HTTP本地源。(Linux软件分类,源码包、二进制包)

2017-jfedu.zip

源码包:需要定制或者编译,后缀以.zip、.tar、.tar.gz、.tar.bz2、.src.rpm结尾,源代码包括.c .cpp .h,没有可运行的二进制文件,bin文件;

二进制包:不需要定制,无需编译,后缀以.rpm、.zip、.rar结尾,代码直接可以用,包含bin文件、可执行的文件;

源码包与二进制安装方法:

源码包安装的方法:

./configure  预编译;

Make   编译;

Make  install 安装;

二进制包安装的方法:

直接解压使用、解压安装;

rpm  -ivh  name

rpm  -i  names

yum  install  name

zsh-5.0.2-25.el7.x86_64.rpm

[root@node1 ~]# rpm -ivh httpd-2.4.6-45.el7.centos.x86_64.rpm

error: Failed dependencies:

httpd-tools = 2.4.6-45.el7.centos is needed by httpd-2.4.6-45.el7.centos.x86_64

解决方法:先安装依赖的包,再次安装主程序包!

rpm -ivh –nodeps namexxxx

httpd-2.2.31.tar.bz2安装的步骤:

查看压缩包的属性、类型;file  httpd-2.2.31.tar.bz2

解压tar包:tar -jxvf httpd-2.2.31.tar.bz2

cd  httpd-2.2.31

./configure 预编译,检查系统能否满足软件安装,需要GCC编译环境;

Make 将源代码生成可以运行二进制文件、bin文件;

Make install 将二进制文件、bin文件、目录cp、安装到系统中去;

libtool: install: error: cannot install `libaprutil-1.la' to a directory not ending in /usr/local/apache//lib

make[2]: *** [install] Error 1

make[2]: Leaving directory `/root/httpd-2.2.31/srclib/apr-util'

make[1]: *** [install-recursive] Error 1

解决方法:

yum  install  apr-util-devel apr-devel –y

rpm  -ivh  apr-util-devel apr-devel软件全名称;

YUM管理工具:(用于安装RPM结尾的文件,二进制文件)

 

 

 

 

除特别注明外,本站所有文章均为铁匠运维网原创,转载请注明出处来自http://www.tiejiang.org/25905.html

关于

发表评论

暂无评论

切换注册

登录

忘记密码 ?

您也可以使用第三方帐号快捷登录

切换登录

注册

扫一扫二维码分享